net/tsocks - The NetBSD Packages Collection

Transparent SOCKS proxying library

tsocks allows non SOCKS aware applications (e.g telnet, ssh, ftp etc) to use
SOCKS without any modification.  It does this by intercepting the calls that
applications make to establish network connections and negotiating them through
a SOCKS server as necessary.

tsocks is based on the 'shared library interceptor' concept.  Through use of
the LD_PRELOAD environment variable, tsocks is automatically loaded into the
process space of every executed program.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftsocks-1.8beta5nb4.tgz
NetBSD 8.0earmv7hftsocks-1.8beta5nb3.tgz
NetBSD 8.0earmv7hftsocks-1.8beta5nb4.tgz
NetBSD 8.0i386tsocks-1.8beta5nb3.tgz
NetBSD 8.0i386tsocks-1.8beta5nb4.tgz
NetBSD 8.0i386tsocks-1.8beta5nb4.tgz
NetBSD 8.0powerpctsocks-1.8beta5nb3.tgz
NetBSD 8.0powerpctsocks-1.8beta5nb4.tgz
NetBSD 8.0powerpctsocks-1.8beta5nb4.tgz
NetBSD 8.0powerpctsocks-1.8beta5nb4.tgz
NetBSD 8.0x86_64tsocks-1.8beta5nb4.tgz
NetBSD 8.0x86_64tsocks-1.8beta5nb3.tgz
NetBSD 8.0x86_64tsocks-1.8beta5nb4.tgz
NetBSD 9.0aarch64tsocks-1.8beta5nb4.tgz
NetBSD 9.0aarch64tsocks-1.8beta5nb3.tgz
NetBSD 9.0aarch64tsocks-1.8beta5nb4.tgz
NetBSD 9.0alphatsocks-1.8beta5nb4.tgz
NetBSD 9.0alphatsocks-1.8beta5nb3.tgz
NetBSD 9.0alphatsocks-1.8beta5nb4.tgz
NetBSD 9.0earmv6hftsocks-1.8beta5nb3.tgz
NetBSD 9.0earmv6hftsocks-1.8beta5nb4.tgz
NetBSD 9.0earmv6hftsocks-1.8beta5nb4.tgz
NetBSD 9.0earmv7hftsocks-1.8beta5nb4.tgz
NetBSD 9.0earmv7hftsocks-1.8beta5nb3.tgz
NetBSD 9.0earmv7hftsocks-1.8beta5nb4.tgz
NetBSD 9.0earmv7hftsocks-1.8beta5nb4.tgz
NetBSD 9.0earmv7hftsocks-1.8beta5nb4.tgz
NetBSD 9.0i386tsocks-1.8beta5nb3.tgz
NetBSD 9.0i386tsocks-1.8beta5nb4.tgz
NetBSD 9.0i386tsocks-1.8beta5nb4.tgz
NetBSD 9.0mips64ebtsocks-1.8beta5nb4.tgz
NetBSD 9.0mips64ebtsocks-1.8beta5nb3.tgz
NetBSD 9.0mips64ebtsocks-1.8beta5nb4.tgz
NetBSD 9.0powerpctsocks-1.8beta5nb4.tgz
NetBSD 9.0powerpctsocks-1.8beta5nb3.tgz
NetBSD 9.0powerpctsocks-1.8beta5nb4.tgz
NetBSD 9.0powerpctsocks-1.8beta5nb4.tgz
NetBSD 9.0sparc64tsocks-1.8beta5nb4.tgz
NetBSD 9.0sparc64tsocks-1.8beta5nb3.tgz
NetBSD 9.0sparc64tsocks-1.8beta5nb3.tgz
NetBSD 9.0sparc64tsocks-1.8beta5nb4.tgz
NetBSD 9.0sparctsocks-1.8beta5nb4.tgz
NetBSD 9.0sparctsocks-1.8beta5nb3.tgz
NetBSD 9.0x86_64tsocks-1.8beta5nb4.tgz
NetBSD 9.0x86_64tsocks-1.8beta5nb4.tgz
NetBSD 9.0x86_64tsocks-1.8beta5nb4.tgz
NetBSD 9.0x86_64tsocks-1.8beta5nb4.tgz
NetBSD 9.0x86_64tsocks-1.8beta5nb3.tgz
NetBSD 9.0x86_64tsocks-1.8beta5nb4.tgz
NetBSD 9.0x86_64tsocks-1.8beta5nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.